### Hierarchy

- SignedSearchByQueryParams
  - SearchByQueryParams

## Index

### Constructors

- constructor

### Properties

- filters
- searchRequestId

### Methods

- setInterests
- toJson

## Constructors

### constructor

- new SearchByQueryParams(searchRequestId: number, filters?: Map<string, Array<string>>): SearchByQueryParams

- Inherited from SignedSearchByQueryParams.constructor

  - Defined in repository/models/SignedSearchByQueryParams.ts:9

  #### Parameters

  - ##### searchRequestId: number

  - ##### Optional filters: Map<string, Array<string>>

  #### Returns SearchByQueryParams

## Properties

### filters

filters: Map<string, Array<string>>

Inherited from SignedSearchByQueryParams.filters

- Defined in repository/models/SignedSearchByQueryParams.ts:9

### searchRequestId

searchRequestId: number

Inherited from SignedSearchByQueryParams.searchRequestId

- Defined in repository/models/SignedSearchByQueryParams.ts:8

## Methods

### setInterests

- setInterests(interests?: Array<string>): this

- Inherited from SignedSearchByQueryParams.setInterests

  - Defined in repository/models/SignedSearchByQueryParams.ts:17

  #### Parameters

  - ##### Optional interests: Array<string>

  #### Returns this

### toJson

- toJson(): object

- Inherited from SignedSearchByQueryParams.toJson

  Overrides JsonTransform.toJson

  - Defined in repository/models/SignedSearchByQueryParams.ts:25

  #### Returns object

Generated using TypeDoc